var PLAYFREEIDENT = {"pocket-fishdom": true, "township": true};

// Получаем язык
var lang = getParam('lang') || sessionStorage.getItem('lang') || 'en';

$(function() {
	loadConfig();
	
	// Подключаем стили для языка
	$('head').append('<link rel="stylesheet" type="text/css" href="css/'+lang+'.css" media="all" />');
	
	//initTexts();
	
	// Добавляем язык в ссылку на страницу подписки
	var $newsletter = $('ul.social li.newsletter a');
	var url = $newsletter.attr('href') + '?lang=' + lang;
	$newsletter.attr('href', url);
	
	// Закрыть окно подписки
	if (document.referrer && document.referrer != '') {
		$('#sign-up a.close').attr('href', document.referrer);
	} else {
		$('#sign-up a.close').click(function() {
			history.back();
			return false;
		});
	}
});

/**
 * Загружает конфиг
 */
function loadConfig() {
	var filename = getParam('g') || sessionStorage.getItem('game');
	var params = {};
	
	params.games = [];
	$.each(config.games, function(i, game) {
		if (game.ident != filename) {
			params.games.push(game);
		}
	});
	
	initParams(params);
}	

/**
 * Инициализирует параметры
 */
function initParams(params) {
	// Список игр
	var $games = $('#games');
	
	if ($games.length > 0) {
		for (var gameIndex = 0; gameIndex < params.games.length; gameIndex++) {
			var game = params.games[gameIndex];
			
			if (!$gametmpl) {
				var $gametmpl = $('li', $games).clone();
				$games.empty();
			}
			
			// Добавляем игру
			$game = $gametmpl.clone();
			
			$('a.logo img', $game).attr('src', 'images/games/' + game.ident + '/logo.jpg');
			$('span.frame', $game).addClass(game.frame);
			if (game.logourl) {
				$('div.buttons a', $game).attr('href', game.logourl);
				$('a.logo', $game).attr('href', game.logourl);

				if(game.ident in PLAYFREEIDENT)
				{
					$('div.buttons a', $game).removeClass("tryfree").toggleClass("playfree");
				};

			} else {
				$('div.buttons', $game).addClass('coming-soon');
				$('div.buttons a', $game).remove();
				
				var logo = $('<div></div>').addClass('logo');
				logo.html($('a.logo', $game).html());
				$('a.logo', $game).after(logo).remove();
			}
			$('h2', $game).html(game.title);
			if (game.sale) {
				var $title = $('h2', $game);
				$title.append('&nbsp;');
				$('<img></img>').attr('src', 'images/sale.gif').attr('alt', 'Sale').appendTo($title);
			}
			$('p', $game).html(game[lang].desc);
						
			$game.appendTo($games);
		}
	}
}

/**
 * Инициализирует тексты
 */
function initTexts() {
	// Sign Up
	$('#sign-up p.intro').html(texts[lang]['signup-intro']);
	$('#sign-up div.email label').html(texts[lang]['signup-email']);
	$('#sign-up p.policy').html(texts[lang]['signup-policy']);
	
	// Подписка на рассылку
	$('#sign-up input.submit').click(function() {
		var $signup = $('#sign-up');
		var $email = $('#email', $signup);
		var email = $email.val();
		var $submit = $('input.submit', $signup);
		var $status = $('p.status', $signup);
		
		// Проверяем адрес
		if (email == '') {
			$status
				.html(texts[lang]['signup-empty-email'])
				.removeClass('success')
				.addClass('error');
			
		} else if (email.search(/(.+)@(.+)\.(.+)/) == -1) {
			$status
				.html(texts[lang]['signup-correct-email'])
				.removeClass('success')
				.addClass('error');
			
		} else {
			$email.attr('disabled', 'disabled');
			$submit.attr('disabled', 'disabled');
			
			// Отправляем запрос
			$.ajax({
				url: 'http://www.playrix.com/data/phplist.php',
				type: 'GET',
				data: {
					action: 'subscribe',
					list: 'moregames-android',
					confirm: true,
					email: email
				},
				dataType: 'json',
				cache: false,
				success: function(data) {
					$status
						.html(texts[lang]['signup-thankyou'])
						.removeClass('error')
						.addClass('success');
					$email
						.removeAttr('disabled', 'disabled')
						.val('');
					$submit.removeAttr('disabled', 'disabled');
				},
				error: function(data, status, error) {
					$status
						.html(texts[lang]['signup-thankyou'])
						.removeClass('error')
						.addClass('success');
					$email
						.removeAttr('disabled', 'disabled')
						.val('');
					$submit.removeAttr('disabled', 'disabled');
				}
			});
		}
		return false;
	});	
}

/**
 *  Возвращает значение get параметра
 */
function getParam(name) {
	name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp(regexS);
	var results = regex.exec(window.location.href);
	return (results == null)? '' : results[1];
}
